Stream EstateStream Estate
Alertes

List alerts

List alerts

GET
/alerts
X-API-KEY<token>

Value for the X-API-KEY header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1

Response Body

curl -X GET "https://example.com/alerts"
[  {    "name": "2-bedroom apartments in Paris",    "enabled": true,    "criteria": {      "and": [        {          "property": {            "type": {              "in": [                "FLAT",                "HOUSE"              ]            },            "transaction": {              "type": "SELL"            },            "pricing": {              "displayed": {                "gte": 200000,                "lte": 450000              }            },            "unit": {              "bedrooms": {                "gte": 2              }            }          }        },        {          "or": [            {              "property": {                "locations": {                  "countryCode": "FR",                  "in": {                    "uniqueCodes": [                      "75056"                    ]                  }                }              }            },            {              "property": {                "locations": {                  "countryCode": "FR",                  "in": {                    "uniqueCodes": [                      "69123"                    ]                  }                }              }            }          ]        }      ]    },    "notificationConfig": {      "rules": [        {          "eventType": "PRICE_CHANGE",          "scope": "PROPERTY",          "variationPercent": [            {              "gte": -5,              "lte": -3            }          ]        }      ]    },    "eventDestination": "https://example.com/",    "signingKey": "whsec_abc123...",    "signingKeyHint": "b75b1473",    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "createdAt": "2026-01-15T10:30:00+00:00",    "updatedAt": "2026-05-20T14:45:00+00:00"  }]
Version 0.14.289Dernière mise à jour